## libffado 2.0~rc2+svn1569

=== SConstruct ===
--- 
+++ 
@@ -24,7 +24,7 @@
 #
 
 FFADO_API_VERSION="8"
-FFADO_VERSION="1.999.40"
+FFADO_VERSION="1.999.41"
 
 import os
 import re
@@ -40,8 +40,6 @@
 else:
 	build_base=''
 
-destdir = ARGUMENTS.get( 'DESTDIR', "" )
-
 if not os.path.isdir( "cache" ):
 	os.makedirs( "cache" )
 
@@ -54,7 +52,7 @@
 opts.AddOptions(
 	BoolOption( "DEBUG", """\
 Toggle debug-build. DEBUG means \"-g -Wall\" and more, otherwise we will use
-  \"-O2\" to optimise.""", True ),
+  \"-O2\" to optimize.""", True ),
 	BoolOption( "PROFILE", "Build with symbols and other profiling info", False ),
 	PathOption( "PREFIX", "The prefix where ffado will be installed to.", "/usr/local", PathOption.PathAccept ),
 	PathOption( "BINDIR", "Overwrite the directory where apps are installed to.", "$PREFIX/bin", PathOption.PathAccept ),
@@ -152,25 +150,9 @@
 
 def CheckForPyModule( context, module ):
 	context.Message( "Checking for the python module '" + module + "' " )
-	ret = True
-	path = None
-	while module.count(".") > 0 and ret:
-		thismod = module.split(".")[0]
-		try:
-			modinfo = imp.find_module( thismod, path )
-		except ImportError:
-			ret = False
-		else:
-			newmod = imp.load_module( thismod, modinfo[0], modinfo[1], modinfo[2] )
-			path = newmod.__path__
-		module = ".".join( module.split(".")[1:] )
-	if ret:
-		try:
-			imp.find_module( module )
-		except ImportError:
-			ret = False
-	context.Result( ret )
-	return ret
+	ret = context.TryAction( "python $SOURCE", "import %s" % module, ".py" )
+	context.Result( ret[0] )
+	return ret[0]
 
 def CompilerCheck( context ):
 	context.Message( "Checking for a working C-compiler " )
@@ -284,34 +266,34 @@
 	env['HAVE_LRINTF'] = HAVE_LRINTF;
 	env.Replace(CFLAGS=oldcf)
 
-	#
-	# Optional checks follow:
-	#
-
-	# PyQT checks
-	build_mixer = False
-	if conf.CheckForApp( 'which pyuic4' ) and conf.CheckForPyModule( 'dbus' ) and conf.CheckForPyModule( 'PyQt4' ) and conf.CheckForPyModule( 'dbus.mainloop.qt' ):
-		env['PYUIC4'] = True
-		build_mixer = True
-	
-	if conf.CheckForApp( 'which pyuic' ) and conf.CheckForPyModule( 'dbus' ) and conf.CheckForPyModule( 'qt' ):
-		env['PYUIC'] = True
-		build_mixer = True
-	
-	if conf.CheckForApp( 'xdg-desktop-menu --help' ):
-		env['XDG_TOOLS'] = True
-	else:
-		print """
+#
+# Optional checks follow:
+#
+
+# PyQT checks
+build_mixer = False
+if conf.CheckForApp( 'which pyuic4' ) and conf.CheckForPyModule( 'dbus' ) and conf.CheckForPyModule( 'PyQt4' ) and conf.CheckForPyModule( 'dbus.mainloop.qt' ):
+	env['PYUIC4'] = True
+	build_mixer = True
+
+if conf.CheckForApp( 'which pyuic' ) and conf.CheckForPyModule( 'dbus' ) and conf.CheckForPyModule( 'qt' ):
+	env['PYUIC'] = True
+	build_mixer = True
+
+if conf.CheckForApp( 'xdg-desktop-menu --help' ):
+	env['XDG_TOOLS'] = True
+else:
+	print """
 I couldn't find the program 'xdg-desktop-menu'. Together with xdg-icon-resource
 this is needed to add the fancy entry to your menu. But the mixer will be installed, you can start it by executing "ffado-mixer".
 """
-	
-	if not build_mixer:
-		print """
-	I couldn't find all the prerequisites ('pyuic' / 'pyuic4' and the python-modules 'dbus' and
-	'qt' / 'PyQt4', the packages could be named like dbus-python and PyQt) to build the mixer.
-	Therefor neither the qt3 nor the qt4 mixer will get installed.
-	"""
+
+if not build_mixer and not env.GetOption('clean'):
+	print """
+I couldn't find all the prerequisites ('pyuic' / 'pyuic4' and the python-modules 'dbus' and
+'qt' / 'PyQt4', the packages could be named like dbus-python and PyQt) to build the mixer.
+Therefor neither the qt3 nor the qt4 mixer will get installed.
+"""
 
 config_guess = conf.ConfigGuess()
 
@@ -319,25 +301,20 @@
 
 if env['DEBUG']:
 	print "Doing a DEBUG build"
-	# -Werror could be added to, which would force the devs to really remove all the warnings :-)
-	env.AppendUnique( CCFLAGS=["-DDEBUG","-Wall","-g"] )
-	env.AppendUnique( CFLAGS=["-DDEBUG","-Wall","-g"] )
-else:
-	env.AppendUnique( CCFLAGS=["-O2","-DNDEBUG"] )
-	env.AppendUnique( CFLAGS=["-O2","-DNDEBUG"] )
+	env.MergeFlags( "-DDEBUG -Wall -g" )
+else:
+	env.MergeFlags( "-O2 -DNDEBUG" )
 
 if env['PROFILE']:
 	print "Doing a PROFILE build"
-	# -Werror could be added to, which would force the devs to really remove all the warnings :-)
-	env.AppendUnique( CCFLAGS=["-Wall","-g"] )
-	env.AppendUnique( CFLAGS=["-Wall","-g"] )
+	env.MergeFlags( "-Wall -g" )
 
 
 # this is required to indicate that the DBUS version we use has support
 # for platform dependent threading init functions
 # this is true for DBUS >= 0.96 or so. Since we require >= 1.0 it is
 # always true
-env.AppendUnique( CCFLAGS=["-DDBUS_HAS_THREADS_INIT_DEFAULT"] )
+env.MergeFlags( "-DDBUS_HAS_THREADS_INIT_DEFAULT" )
 
 if env['ENABLE_ALL']:
 	env['ENABLE_BEBOB'] = True
@@ -352,3 +329,23 @@
     print "Building static versions of the tools..."
     env['BUILD_STATIC_LIB'] = True
 
+if build_base:
+	env['build_base']="#/"+build_base
+else:
+	env['build_base']="#/"
+
+#
+# Get the DESTDIR (if wanted) from the commandline
+#
+env.destdir = ARGUMENTS.get( 'DESTDIR', "" )
+
+#
+# Uppercase variables are for usage in code, lowercase versions for usage in
+# scons-files for installing.
+#
+env['BINDIR'] = Template( env['BINDIR'] ).safe_substitute( env )
+env['LIBDIR'] = Template( env['LIBDIR'] ).safe_substitute( env )
+env['INCLUDEDIR'] = Template( env['INCLUDEDIR'] ).safe_substitute( env )
+env['SHAREDIR'] = Template( env['SHAREDIR'] ).safe_substitute( env )
+env['bindir'] = Template( env.destdir + env['BINDIR'] ).safe_substitute( env )
+env['libdir'] = Template( env.destdir + env['LIBDIR'] ).safe_substitute( env )
