## libffado 2.0.0

=== SConstruct ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #! /usr/bin/python
+# -*- coding: utf-8 -*-
 #
 # Copyright (C) 2007-2008 Arnold Krille
 # Copyright (C) 2007-2008 Pieter Palmers
@@ -23,36 +24,23 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
 
-FFADO_API_VERSION="8"
-FFADO_VERSION="1.999.41"
+FFADO_API_VERSION = "8"
+FFADO_VERSION = "2.0.0"
 
 import os
 import re
 from string import Template
 import imp
 
-build_dir = ARGUMENTS.get('BUILDDIR', "")
-if build_dir:
-	build_base=build_dir+'/'
-	if not os.path.isdir( build_base ):
-		os.makedirs( build_base )
-	print "Building into: " + build_base
-else:
-	build_base=''
-
 if not os.path.isdir( "cache" ):
 	os.makedirs( "cache" )
 
-opts = Options( "cache/"+build_base+"options.cache" )
-
-#
-# If this is just to display a help-text for the variable used via ARGUMENTS, then its wrong...
-opts.Add( "BUILDDIR", "Path to place the built files in", "")
+opts = Options( "cache/options.cache" )
 
 opts.AddOptions(
 	BoolOption( "DEBUG", """\
 Toggle debug-build. DEBUG means \"-g -Wall\" and more, otherwise we will use
-  \"-O2\" to optimize.""", True ),
+  \"-O2\" to optimize.""", False ),
 	BoolOption( "PROFILE", "Build with symbols and other profiling info", False ),
 	PathOption( "PREFIX", "The prefix where ffado will be installed to.", "/usr/local", PathOption.PathAccept ),
 	PathOption( "BINDIR", "Overwrite the directory where apps are installed to.", "$PREFIX/bin", PathOption.PathAccept ),
@@ -127,14 +115,14 @@
 Help( opts.GenerateHelpText( env ) )
 
 # make sure the necessary dirs exist
-if not os.path.isdir( "cache/" + build_base ):
-	os.makedirs( "cache/" + build_base )
+if not os.path.isdir( "cache" ):
+	os.makedirs( "cache" )
 if not os.path.isdir( 'cache/objects' ):
 	os.makedirs( 'cache/objects' )
 
 CacheDir( 'cache/objects' )
 
-opts.Save( 'cache/' + build_base + "options.cache", env )
+opts.Save( 'cache/options.cache', env )
 
 def ConfigGuess( context ):
 	context.Message( "Trying to find the system triple: " )
@@ -189,8 +177,8 @@
 
 conf = Configure( env,
 	custom_tests = tests,
-	conf_dir = "cache/" + build_base,
-	log_file = "cache/" + build_base + 'config.log' )
+	conf_dir = "cache/",
+	log_file = 'cache/config.log' )
 
 if env['SERIALIZE_USE_EXPAT']:
 	env['SERIALIZE_USE_EXPAT']=1
@@ -329,10 +317,7 @@
     print "Building static versions of the tools..."
     env['BUILD_STATIC_LIB'] = True
 
-if build_base:
-	env['build_base']="#/"+build_base
-else:
-	env['build_base']="#/"
+env['build_base']="#/"
 
 #
 # Get the DESTDIR (if wanted) from the commandline
@@ -349,3 +334,20 @@
 env['SHAREDIR'] = Template( env['SHAREDIR'] ).safe_substitute( env )
 env['bindir'] = Template( env.destdir + env['BINDIR'] ).safe_substitute( env )
 env['libdir'] = Template( env.destdir + env['LIBDIR'] ).safe_substitute( env )
+env['includedir'] = Template( env.destdir + env['INCLUDEDIR'] ).safe_substitute( env )
+env['sharedir'] = Template( env.destdir + env['SHAREDIR'] ).safe_substitute( env )
+
+env.Command( target=env['sharedir'], source="", action=Mkdir( env['sharedir'] ) )
+
+env.Alias( "install", env['libdir'] )
+env.Alias( "install", env['includedir'] )
+env.Alias( "install", env['sharedir'] )
+env.Alias( "install", env['bindir'] )
+
+#
+# shamelessly copied from the Ardour scons file
+#
+
+opt_flags = []
+env['USE_SSE'] = 0
+
