=== debian/changelog ===
libffado (2.0.1+svn1856-5) unstable; urgency=low

  * Ease backporting to Debian stable:
    + Relax inclusion of CDBS snippet utils.mk (handled gracefully if
      missing - i.e. using older versions of cdbs).
    + Relax versioned build-dependency on cdbs (utils.mk no longer
      required but support for debhelper compat level 7 is, so
      unfortunately version in Debian stable is still insuficient).
    + Stop build-depending on devscripts (copyright-check not yet used).
  * Drop needlessly breaking/replacing ffado-python-support. Thanks to
    Adam D. Barratt (see bug#597119).
  * Fix tighten gitignore on .pc subdir.
  * Add source local-options to ease building with git-buildpackage.
  * Add myself as uploader.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 17 Oct 2010 00:26:17 +0200

libffado (2.0.1+svn1856-4) unstable; urgency=low

  * Install 60-ffado.rules udev rules to chown firewire audio devices to the
    audio group.

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Thu, 14 Oct 2010 22:53:32 +0200

libffado (2.0.1+svn1856-3) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Fix have ffado-tools replace older ffado-mixer-qt4.
  * Tighten build-dependency on cdbs slightly.
  * Simplify resolving parallel compilation using example code snippet
    from Debian Policy.

  [ Adrian Knoth ]
  * Drop ffado-python-support and provide the files in ffado-tools instead.
  * Make ffado-mixer-qt4 depend on ffado-tools.

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Wed, 29 Sep 2010 16:57:03 +0200

libffado (2.0.1+svn1856-2) unstable; urgency=low

  * Fix homepage entry. (drop Ubuntu)
  * Compile with -fPIC. 
  * Refactor common python code into ffado-python-support
    (Closes: #594568) (LP: #524702 #624514)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Wed, 15 Sep 2010 17:38:28 +0200

libffado (2.0.1+svn1856-1) unstable; urgency=low

  [ Alessio Treglia ]
  * debian/{control,rules}:
    - Add quilt support.
    - Use python-support as helper for python extensions.
  * Append ${python:Depends} macro to the Depends field of ffado-mixer-qt4.
  * ffado-mixer-qt4 provide only arch-indep stuff, so
    the proper value of the Architecture fields i all.

  [ Adrian Knoth ]
  * New upstream version (Closes: #565025)
  * Support python-2.6 (Closes: #585990)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Tue, 15 Jun 2010 22:05:15 +0200

libffado (2.0.0+svn1813-1) unstable; urgency=low

  * Include python site-packages for ffado-mixer (Closes: #578499)
  * Provide source format (1.0) file to please lintian.
  * New upstream version (new supported device: TC Electronic Konnekt6)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Tue, 20 Apr 2010 14:25:22 +0200

libffado (2.0.0+svn1806-2) unstable; urgency=low

  [ Reinhard Tartler ]
  * convert to multiline fields

  [ Jonathan Riddell ]
  * drop unnecessary build-depend, Closes: #576069

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Thu, 01 Apr 2010 13:38:49 +0200

libffado (2.0.0+svn1806-1) unstable; urgency=low

  * New upstream release (fixes FTBFS on powerpc)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Sat, 20 Mar 2010 14:37:28 +0100

libffado (2.0.0+svn1804-1) unstable; urgency=low

  * Switch to FFADO-trunk to enable support for DICE based devices
  * New upstream version
  * Make it run on the Juju stack (Closes: #565342)
  * Build with debugging again (Closes: #572141)
  * Fix FTBFS with binutils-gold (Closes: #555176)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Tue, 02 Mar 2010 14:57:25 +0100

libffado (2.0.0-1) unstable; urgency=low

  * New upstream version
  * Don't do a DEBUG build. Upstream also defaults to false.

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Sat, 19 Dec 2009 13:56:03 +0100

libffado (2.0~rc2+svn1569-2) unstable; urgency=low

  * Fix FTBS on powerpc (Closes: #534837)
  * Fix lintian warning regarding obsolete dh_desktop
  * Bump standards version to 3.8.2

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Sat, 27 Jun 2009 14:55:45 +0200

libffado (2.0~rc2+svn1569-1) unstable; urgency=low

  * New Upstream Version
  * Fixed gcc-4.4 FTBFS (Closes: #529266)
  * Be more descriptive about ffado-tools (Closes: #529298)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 18 May 2009 10:54:08 +0200

libffado (2.0~rc1+svn1539-1) unstable; urgency=low

  * Initial Debian inclusion, based on Ubuntu (Closes: #501502)
  * Bumped standards version
  * Limit architecture to i386, amd64 and powerpc
  * Add external sources to copyright file
  * Make the source package depend on debhelper-7
  * Remove Ubuntu's u from libname (libffado.so.0.0.0u)
  * Provide generic man pages (redirecting the user to www.ffado.org for now)
  * Fix lintian warnings about outdated FSF address and unversioned GPL
    reference

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Thu, 12 Mar 2009 17:36:53 +0100

libffado (2.0~rc1-0ubuntu2) jaunty; urgency=low

  * Fix linking against libffado (broken symlink)
  * Rename README.Debian.source to README.source
  * Install a .desktop file for ffado-mixer

 -- Andrew Hunter <andrew@aehunter.net>  Sat, 21 Feb 2009 16:06:22 -0500

libffado (2.0~rc1-0ubuntu1) jaunty; urgency=low

  * Initial Ubuntu inclusion (LP: #246894)
  * Fixed many lintian warnings. 
  * Added additional build-deps to allow ffado-mixer to build on jaunty.
    + Removed quilt from build-deps as it was CDBS boiler-plate in debian/rules.
  * Added dh_makeshlibs options to unbreak ${shlib:}.
  * Link libffado with soname of 0.0.0 (See debian/README.Debian.source for
    details)
  * Fixed typos in debian/control and copyright. 

 -- Andrew Hunter <andrew@aehunter.net>  Mon, 16 Feb 2009 10:52:34 -0500

libffado (2.0~rc1) unstable; urgency=low

  * Upstream sync.

 -- Pieter Palmers <pieter.palmers@ffado.org>  Thu, 22 Nov 2008 22:57:57 +0100

libffado (2.0~beta7-2) unstable; urgency=low

  * Fix DESTDIR packaging bug

 -- Pieter Palmers <pieter.palmers@ffado.org>  Thu, 30 Oct 2008 21:48:57 +0100

libffado (2.0~beta7-1) unstable; urgency=low


