=== debian/control ===
Source: libffado
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Adrian Knoth <adi@drcomp.erfurt.thur.de>,
 Free Ekanayaka <freee@debian.org>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends: autotools-dev,
 cdbs (>= 0.4.53),
 debhelper (>= 7.0.1),
 dh-buildinfo,
 scons,
 libraw1394-dev (>= 1.3.0),
 libxml2-dev (>= 2.6.13),
 libiec61883-dev (>= 1.1.0),
 pkg-config,
 dbus (>= 1.0.0),
 python,
 python-dbus,
 python-qt4,
 pyqt4-dev-tools,
 python-support,
 libexpat1-dev,
 libxml++2.6-dev,
 libdbus-1-dev,
 python-qt4-dbus,
 quilt
Standards-Version: 3.9.1
DM-Upload-Allowed: yes
XS-Python-Version: all
Section: libs
Homepage: http://www.ffado.org
Vcs-Git: git://git.debian.org/git/pkg-multimedia/ffado.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/ffado.git

Package: libffado-dev
Section: libdevel
Architecture: i386 amd64 powerpc
Depends: libffado2 (= ${binary:Version}),
  ${misc:Depends},
 libxml2-dev,
 ${shlibs:Depends}
Description: FFADO API - development files
 FFADO is a Linux driver for FireWire (IEEE1394) audio devices.
 .
 The FFADO library permits discovering and configuring such 
 devices and provides an API for streaming clients.
 .
 This package holds the development files.

Package: libffado2
Section: libs
Architecture: i386 amd64 powerpc
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: FFADO API
 FFADO is a Linux driver for FireWire (IEEE1394) audio devices.
 .
 The FFADO library permits discovering and configuring such 
 devices and provides an API for streaming clients.
 .
 This package holds the shared library.

Package: ffado-tools
Section: sound
Architecture: i386 amd64 powerpc
Depends: libffado2 (= ${binary:Version}),
 dbus (>= 1.0.0),
 python,
 ${misc:Depends},
 ${shlibs:Depends}
Replaces: ffado-mixer-qt4 (<< 2.0.1+svn1856-2~)
Breaks: ffado-mixer-qt4 (<< 2.0.1+svn1856-2~)
Description: FFADO debugging and firmware tools
 FFADO is a Linux driver for FireWire (IEEE1394) audio devices.
 .
 The FFADO library permits discovering and configuring such 
 devices and provides an API for streaming clients.
 .
 This package holds the following tools for firmware updating, 
 troubleshooting and debugging:
     * ffado-test-streaming
     * ffado-diag
     * ffado-test-isoxmit
     * ffado-test-isorecv
     * ffado-bridgeco-downloader
     * ffado-test
     * ffado-fireworks-downloader

Package: ffado-dbus-server
Section: sound
Architecture: i386 amd64 powerpc
Depends: libffado2 (= ${binary:Version}),
 dbus (>= 1.0.0),
 ${misc:Depends},
 ${shlibs:Depends}
Description: FFADO D-Bus server
 FFADO is a Linux driver for FireWire (IEEE1394) audio devices.
 .
 The FFADO library permits discovering and configuring such 
 devices and provides an API for streaming clients.
 .
 This package holds the D-Bus server that exposes the mixer 
 and control interfaces through D-Bus.


Package: ffado-mixer-qt4
Section: sound
Architecture: all
Depends: ffado-dbus-server (>= ${source:Version}),
 ffado-tools (>= ${source:Version}),
 ${python:Depends},
 python,
 python-dbus,
 python-qt4,
 python-qt4-dbus,
 ${misc:Depends},
 ${shlibs:Depends}
Description: FFADO D-Bus mixer applets (QT4)
 FFADO is a Linux driver for FireWire (IEEE1394) audio devices.
 .
 The FFADO library permits discovering and configuring such 
 devices and provides an API for streaming clients.
 .
 This package holds the mixer and control applications that 
 communicate with ffado-dbus-server. (Qt4 version)
